/* Root element styling */
:root {
  --gold: #dac646;
  --orange: #ff7f11;
  --purple: #442534;
  --ocean: #073a4b;
  --lightblue: #17d3c5;
  --foam: #f3ffff;
  --transparent: rgba(0, 0, 0, 0);
  --paper: #d9fffc;
  font-family: "Open Sans", sans-serif;
}

* {
  font-size: 10px;
  margin: 0;
  padding: 0;

  box-sizing: border-box;
  font-weight: normal;
  text-decoration: none;
}

body {
  display: flex;
  flex-direction: column;
  width: 100%;
  min-height: 100vh;
  height: fit-content;
}

.material-symbols-outlined {
  font-size: 32px;
  font-variation-settings: "FILL" 1, "wght" 400, "GRAD" 0, "opsz" 32;
  color: var(--ocean);
}

ul {
  list-style-type: none;
  color: var(--gold);
}

footer ul * {
  color: var(--lightblue);
}

/* //////////////////////////////////////////

General Styling

////////////////////////////////////////// */

h1,
h2,
h2 span,
h3 {
  font-family: "Belmont Regular", "sans-serif";
  text-transform: uppercase;
}

h4 {
  font-family: "Open Sans", "sans-serif";
  text-transform: uppercase;
  font-size: 1.4rem;
}

h1 {
  font-size: 2rem;
}
h2,
h2 span {
  font-size: 2.2rem;
}

h3 {
  font-size: 1rem;
}

article p {
  padding-bottom: 1rem;
  text-align: justify;
  font-size: 1.2rem;
}
.text-color-gold {
  color: var(--gold);
}
@font-face {
  font-family: Belmont Regular;
  src: url(/fonts/belmont-regular.otf);
}
@font-face {
  font-family: Belmont Corroded;
  src: url(/fonts/belmont-corroded.otf);
}
@font-face {
  font-family: Belmont Rough;
  src: url(/fonts/belmont-rough.otf);
}

.hidraci-nav-logo {
  width: 120px;
  height: 40px;
  /* Ratios of logo must be 3:1 */
  background: url("../img/logo/HIDRACI-logo-full-white.svg") no-repeat center;
}

/*
Border styling for images 
*/

.block-image-border {
  display: flex;
  align-items: center;

  width: 100%;
  height: 100%;

  background-color: var(--gold);
  padding: 1em;

  transition: all 0.5s ease-in-out;

  position: relative;
}
.image-border {
  height: 100%;
  width: 100%;
  border: 1px var(--gold) solid;
  transition: all 0.5s ease-in-out;
}

.image-border:hover {
  transform: scale(0.98);
}

/* //////////////////////////////////////////

FOOTER

////////////////////////////////////////// */

footer {
  display: flex;
  justify-content: space-around;
  align-items: center;
  background-color: var(--ocean);
  height: fit-content;
  padding: 3rem 0;
  width: 100%;
  margin-top: auto;
  z-index: 0;
}

footer h4 {
  color: var(--lightblue);
  padding-bottom: 1rem;
}
.social-box {
  display: flex;
  flex-flow: nowrap row;
}
.icon-box {
  width: 40px;
  height: 40px;
  border: 2px solid var(--lightblue);
  border-radius: 50%;
  margin: 8px;
}

footer img {
  width: 24px;
  height: 24px;

  position: relative;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

/* //////////////////////////////////////////

Responsive Styling

////////////////////////////////////////// */

@media (min-width: 1024px) {
  * {
    font-size: 16px;
  }
  .image-border {
    border: 2px var(--gold) solid;
  }
  h1 {
    font-size: 4rem;
  }
}

@media (min-width: 1400px) {
  * {
    font-size: 18px;
  }
  .image-border {
    border: 3px var(--gold) solid;
  }
}
